﻿@model IEnumerable<StavkaTroskovnikaViewModel>
<table class="table table-sm table-striped table-hover" id="table-stavke">
    <thead>
        <tr>
            @{
                string[] nazivi = { "Stavka", "Količina", "Jedinična Mjera" };
                for (int i = 0; i < nazivi.Length; i++)
                {
                    <th>
                        @nazivi[i]
                    </th>
                }
            }
        </tr>
    </thead>

    <tbody>
        @foreach (var stavka in Model)
        {
        <tr>
            <td class="text-left col-sm-2">
                <input type="hidden" name="Stavke.Index" value="@stavka.Id" />
                <input type="hidden" name="Stavke[@stavka.Id].Id" value="@stavka.Id" />
                <input type="hidden" name="Stavke[@stavka.Id].Naslov" value="@stavka.Naslov" />
                <input class="form-control" name="Stavke[@stavka.Id].Opis" value="@stavka.Opis" />
            </td>
            <td class="text-left col-sm-1">
                <input class="form-control" name="Stavke[@stavka.Id].Kolicina" value="@stavka.Kolicina" />
            </td>
            <td class="text-left col-sm-4">
                <input type="hidden" data-autocomplete-placeholder="stavkatroskovnika" />
                <input class="form-control" name="Stavke[@stavka.Id].Naziv" value="@stavka.Naziv" data-autocomplete="stavkatroskovnika"/>
            </td>
            <td class="text-right col-sm-2">
                <button class="btn btn-sm btn-danger deleterow" title="Izbaci">
                    <i class="fa fa-minus"></i>
                </button>
            </td>
        </tr>
        }
    <tr>
        <td class="text-left col-sm-2">
            <input class="text-left col-sm-12" id="stavka_troskovnika-opis" type="text" />

        </td>
        <td class="text-left col-sm-1">
            <input id="stavka_troskovnika-kolicina" type="text" />
        </td>
        <td class="text-left col-sm-4">
            <input id="stavkatroskovnika-id" type="hidden" data-autocomplete-placeholder="stavkatroskovnika" />
            <input id="stavkatroskovnika-naziv" type="text" data-autocomplete="stavkatroskovnika" />
        </td>
        <td class="text-left" colspan="2">
            <button id="stavka_troskovnika-dodaj" class="btn btn-sm btn-secondary" title="Dodaj"><i class="fas fa-plus"></i></button>
        </td>
    </tr>
    </tbody>
</table>

@section styles {
    <link rel="stylesheet" href="~/lib/jqueryui/themes/base/jquery-ui.css" />
} 
@section scripts {
    <script src="~/lib/jqueryui/jquery-ui.js"></script>
    <script asp-src-include="~/js/autocomplete.js" asp-append-version="true"></script>
    <script asp-src-include="~/js/troskovnik_natjecaj.js" asp-append-version="true"></script>
}